# tsdev-react-components

## v1.2.x

## Installation
```
npm install --save tsdev-react-components
```

## CSS
```
add index.css from dist folder to your project
```

## Import & Usage
```
import { Alert } from 'tsdev-react-components';

...

<Alert />
```
## Documentation
```
You can find a storybook for all components under following folder.

// create new static storybook
npm install
npm run build-storybook

...

./storybook-static/index.html

The index.html should be visible on every browser.

```

# WIKI
https://github.com/thebuoyant/React-Components/wiki

## Important

You can include all components as a base component in your implementation. No properties are required as needed. So you can get a better overview, without provoking mistakes immediately.

## Summary
| Component | introduced | updated |
|------|------|---------|
|  Alert  | v1.0.0 | v1.0.0 |
|  BreadCrumb  | v1.1.0 | v1.1.0 |
|  ContainedButton  | v1.2.0 | v1.2.0 |
|  Dialog  | v1.0.0 | v1.0.0 |
|  Icon  | v1.0.0 | v1.2.0 |
|  Label  | v1.0.0 | v1.0.0 |
|  OutlinedButton  | v1.2.0 | v1.2.0 |
|  Panel  | v1.0.0 | v1.0.0 |
|  ProgressSpinner  | v1.0.0 | v1.0.0 |
|  Tag  | v1.1.0 | v1.1.0 |
|  TagSelect  | v1.1.0 | v1.1.0 |