# BreadCrumb

## propTypes

```
BreadCrumb.propTypes = {
    id: PropTypes.string,
    items: PropTypes.arrayOf(PropTypes.shape({
        label: PropTypes.string,
        disabled: PropTypes.bool,
        active: PropTypes.bool,
        link: PropTypes.string,
        linkTarget: PropTypes.string,
        onClick: PropTypes.func,
        showIcon: PropTypes.bool,
        iconType: PropTypes.string
    })),
    subClass: PropTypes.string
};
```

## defaultProps

```
BreadCrumb.defaultProps = {
    id: `tsdevBreadCrumb-${Uuid.v4()}`,
    items: [
        {
            label: '',
            disabled: false,
            active: false,
            link: '',
            linkTarget: '_self',
            onClick: noop,
            showIcon: true,
            iconType: 'info'
        },
        {
            label: 'Item - 1',
            disabled: false,
            active: false,
            link: '',
            linkTarget: '_self',
            onClick: noop,
            showIcon: false,
            iconType: 'info'
        },
        {
            label: 'Item - 2',
            disabled: true,
            active: false,
            link: '',
            linkTarget: '_self',
            onClick: noop,
            showIcon: false,
            iconType: 'info'
        },
        {
            label: 'Item - 3',
            disabled: false,
            active: true,
            link: '',
            linkTarget: '_self',
            onClick: noop,
            showIcon: false,
            iconType: 'info'
        },
        {
            label: 'Item - 4',
            disabled: false,
            active: false,
            link: '',
            linkTarget: '_self',
            onClick: noop,
            showIcon: false,
            iconType: 'info'
        }
    ],
    subClass: ''
};
```