import { createMuiTheme } from '@material-ui/core/styles';

export default createMuiTheme({
    palette: {
        primary: {
            main: '#F07F3C',
            dark: '#F39963',
            contrastText: '#fff'
        },
        secondary: { // works
            main: '#69BE28',
            contrastText: '#fff'
        },
        companyBlue: {
            backgroundColor: '#65CFE9',
            color: '#fff'
        },
        companyRed: {
            backgroundColor: '#E44D69',
            contrastText: '#fff'
        },
        accent: {
            backgroundColor: '#32477A',
            color: '#ffffff'
        }
    }
});
